BIBD Class Reference
Example scripts (models)

Example: Balanced incomplete block design (BIBD) More...

## Public Types

enum | { SYMMETRY_NONE , SYMMETRY_LEX , SYMMETRY_LDSB }
| Symmetry breaking variants. More...

## Public Member Functions

| BIBD (const BIBDOptions &o)
| Actual model.
virtual void | print (std::ostream &os) const
| Print solution.
| BIBD (BIBD &s)
| Constructor for cloning s.
virtual Space * | copy (void)
| Copy during cloning.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::IgnoreStepOption< BaseSpace >
| IgnoreStepOption (const Options &)
| Constructor.
| IgnoreStepOption (BaseSpace &e)
| Constructor used for cloning.

## Protected Attributes

const BIBDOptions & | opt
| Options providing access to parameters.
BoolVarArray | _p
| Matrix of Boolean variables.

## Related Symbols

(Note that these are not member symbols.)
int | main (int argc, char *argv[])
| Main-function.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)

## Detailed Description

Example: Balanced incomplete block design (BIBD)

See problem 28 at http://www.csplib.org/.

Definition at line 92 of file bibd.cpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Symmetry breaking variants.

Enumerator
SYMMETRY_NONE | No symmetry breaking.
SYMMETRY_LEX | Lex-constraints on rows/columns.
SYMMETRY_LDSB | LDSB on rows/columns.

Definition at line 100 of file bibd.cpp.

## Constructor & Destructor Documentation

## BIBD() [1/2]

BIBD::BIBD | ( | const BIBDOptions & | o | ) |

inline

Actual model.

Definition at line 107 of file bibd.cpp.

## BIBD() [2/2]

BIBD::BIBD | ( | BIBD & | s | ) |

inline

Constructor for cloning s.

Definition at line 162 of file bibd.cpp.

## Member Function Documentation

## print()

virtual void BIBD::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution.

Reimplemented from Gecode::Driver::ScriptBase< Driver::IgnoreStepOption< Space > >.

Definition at line 147 of file bibd.cpp.

## copy()

virtual Space * BIBD::copy | ( | void |  | ) |

inline virtual

Copy during cloning.

Definition at line 169 of file bibd.cpp.

## Friends And Related Symbol Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

related

Main-function.

Definition at line 179 of file bibd.cpp.

## Member Data Documentation

## opt

const BIBDOptions& BIBD::opt

protected

Options providing access to parameters.

Definition at line 95 of file bibd.cpp.

## _p

BoolVarArray BIBD::_p

protected

Matrix of Boolean variables.

Definition at line 97 of file bibd.cpp.

The documentation for this class was generated from the following file:

- examples/bibd.cpp